package com.perforce.hwsclient.models;

import java.util.Objects;
import com.perforce.hwsclient.models.ChangelistAction;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.*;

import com.google.gson.annotations.SerializedName;




@ApiModel(description = "")
public class ChangelistRequest   {
  
  @SerializedName("description")
  private String description = null;
  
  @SerializedName("stream")
  private String stream = null;
  
  @SerializedName("actions")
  private List<ChangelistAction> actions = new ArrayList<ChangelistAction>();
  

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getDescription() {
    return description;
  }
  public void setDescription(String description) {
    this.description = description;
  }

  
  /**
   * Optional stream ID to use in case you want to edit files in a stream.
   **/
  @ApiModelProperty(value = "Optional stream ID to use in case you want to edit files in a stream.")
  public String getStream() {
    return stream;
  }
  public void setStream(String stream) {
    this.stream = stream;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public List<ChangelistAction> getActions() {
    return actions;
  }
  public void setActions(List<ChangelistAction> actions) {
    this.actions = actions;
  }

  

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ChangelistRequest changelistRequest = (ChangelistRequest) o;
    return Objects.equals(this.description, changelistRequest.description) &&
        Objects.equals(this.stream, changelistRequest.stream) &&
        Objects.equals(this.actions, changelistRequest.actions);
  }

  @Override
  public int hashCode() {
    return Objects.hash(description, stream, actions);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ChangelistRequest {\n");
    
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    stream: ").append(toIndentedString(stream)).append("\n");
    sb.append("    actions: ").append(toIndentedString(actions)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
