package com.perforce.hwsclient.models;

import java.util.Objects;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.google.gson.annotations.SerializedName;




@ApiModel(description = "")
public class HWSStatus   {
  
  @SerializedName("status")
  private String status = null;
  
  @SerializedName("version")
  private String version = null;
  

  
  /**
   * When \"OK\" the server should be considered to be operating normally
   **/
  @ApiModelProperty(value = "When \"OK\" the server should be considered to be operating normally")
  public String getStatus() {
    return status;
  }
  public void setStatus(String status) {
    this.status = status;
  }

  
  /**
   * The version of Helix Web Services server.
   **/
  @ApiModelProperty(value = "The version of Helix Web Services server.")
  public String getVersion() {
    return version;
  }
  public void setVersion(String version) {
    this.version = version;
  }

  

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    HWSStatus hWSStatus = (HWSStatus) o;
    return Objects.equals(this.status, hWSStatus.status) &&
        Objects.equals(this.version, hWSStatus.version);
  }

  @Override
  public int hashCode() {
    return Objects.hash(status, version);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class HWSStatus {\n");
    
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    version: ").append(toIndentedString(version)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
